# Type Alias Models

Models: Model[] & {
autoUpdate: boolean;
bounding: THREE.Box3;
cacheCameras: readonly (THREE.PerspectiveCamera | Camera)[];
loaded: boolean;
refined: boolean;
refineProgress: [number, number];
getMaterial(): ParameterValue;
intersectRaycaster(raycaster: Raycaster): Intersection[];
resetBrightness(): void;
setMaterial(values: Partial<ParameterValue>): void;
}

#### Type Declaration

- ##### autoUpdate: boolean

  #### Deprecated

  use `modelScene.autoRefine` instead

- ##### bounding: THREE.Box3

  #### Deprecated

  use `modelScene.boundingBox` instead

- ##### cacheCameras: readonly (THREE.PerspectiveCamera | Camera)[]

  #### Deprecated

  use `modelScene.parameter.cacheCameras` `modelScene.parameter.set('cacheCameras', cacheCameras)` instead

- ##### loaded: boolean

  #### Deprecated

  use `modelScene.loaded` instead

- ##### refined: boolean

  #### Deprecated

  use `modelScene.refined` instead

- ##### refineProgress: [number, number]

  #### Deprecated

  use `modelScene.refineProgress` instead

- ##### getMaterial: function

  - getMaterial(): ParameterValue

    #### Returns ParameterValue

    #### Deprecated

    Use `.parameter.get` instead

    - Defined in lib/five/model/model-scene.ts:93

- ##### intersectRaycaster: function

  - intersectRaycaster(raycaster: Raycaster): Intersection[]

    #### Parameters

    - raycaster: Raycaster

    #### Returns Intersection[]

    #### Deprecated

    use `modelScene.intersectRaycaster` instead

    - Defined in lib/five/model/model-scene.ts:81

- ##### resetBrightness: function

  - resetBrightness(): void

    #### Returns void

    #### Deprecated

    Use `.parameter.reset('brightness')` instead

    - Defined in lib/five/model/model-scene.ts:99

- ##### setMaterial: function

  - setMaterial(values: Partial<ParameterValue>): void

    #### Parameters

    - values: Partial<ParameterValue>

    #### Returns void

    #### Deprecated

    Use `.parameter.set` instead

    - Defined in lib/five/model/model-scene.ts:87

- Defined in lib/five/model/model-scene.ts:40